Bug 208775 - Change default conf dir.
Change default conf dir.
Product: Fedora
Classification: Fedora
Component: trac (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Joost Soeterbroek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-10-01 18:07 EDT by Carwyn Edwards
Modified: 2008-05-06 12:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:26:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Carwyn Edwards 2006-10-01 18:07:57 EDT
This is more of an enhancement request. Trac can be configured to use a global
trac.ini that by default is searched for in:


.. this is set in

/usr/lib/python2.4/site-packages/trac/siteconfig.py (__default_conf_dir__)

I think it would be useful to change this default to /etc and add a blank
trac.ini to /etc/trac.ini with some simple comments and a link to the relevant docs:

Comment 1 Carwyn Edwards 2006-10-01 18:09:57 EDT
/etc/trac.ini should be marked %config in the spec.
Comment 2 Bug Zapper 2008-04-03 23:53:45 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 12:26:07 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.